


sunset_provenance_dataset<-function(recipe,recipe_path,data){

metadata_graphS<- sunset_provenance_dataset_system(recipe,recipe_file,data)
#metadata_graphS<- metaclip.graph.Command(graph, "Loading", "2.0.0", "Loading.R", arg.list=list("Recipe", Recipe_path=recipe_file), metadata_graphS$parentnodename)

metadata_graphR<- sunset_provenance_dataset_reference(recipe,recipe_file,data)
#metadata_graphS<- metaclip.graph.Command(graph, "Loading", "2.0.0", "Loading.R", arg.list=list("Recipe", Recipe_path=recipe_file), metadata_graphR$parentnodename)
graph<-my_union_graph(metadata_graphR$graph, metadata_graphS$graph)

graph <- metaclip.graph.Command(graph, "Loading", "2.0.0", "/modules/Loading/Loading.R", arg.list=list("Recipe", Recipe_path=recipe_file), list(metadata_graphS$parentnodename, metadata_graphR$parentnodename))

#graph<- metaclip.graph.Command(graph, "Loading", "2.0.0", "Loading.R", arg.list=list("Recipe", Recipe_path=recipe_file), list(metadata_graphR$parentnodename, metadata_graphS$parentnodename))

return(list("graph"=graph, "parentnodename"=list(metadata_graphS$parentnodename, metadata_graphR$parentnodename)))

}